import { compareString } from './classes'

const testCases: Array<{ s1: string; s2: string; res: number }> = [
  { s1: 'hello', s2: 'hello', res: 100 },
  { s1: 'aaaaa', s2: 'bbbbb', res: 0 },
  {
    s1: 'Mely állítás nem igaz a tőzsdékre?',
    s2: 'Mely állítás nem igaz a tőzsdékre?',
    res: 100,
  },
  {
    s1: 'Mely állítás nem igaz a tőzsdékre?',
    s2: 'Ez egy teljesen más mondat',
    res: 0,
  },
  { s1: 'cHar caSe tESt', s2: 'ChaR cAse TEst', res: 0 },
]

testCases.forEach((currCase) => {
  const { s1, s2, res } = currCase

  test(`String compare tests: "${s1}" & "${s2}" should be: ${res}%`, () => {
    expect(compareString(s1, s1.split(' '), s2, s2.split(' '))).toBe(res)
  })
})
